import hiro.yoshioka.ast.sql.RowColumn;
import hiro.yoshioka.ast.sql.util.ASTProposalableAssist;
import hiro.yoshioka.sql.resource.IDBResource;

public class TestAssistJoinTester extends TestAbsAssistTester {

	public void testJoin00() {
		read("testJoin00.txt");

		fUtil.setRowColumn(new RowColumn(2, 47));
		ASTProposalableAssist assist = fUtil.getASTProposalableAssist();
		System.out.println(assist);
		System.out.println("----------------------------------------");
		// assertEquals("アシストタイプはテーブル？", ASTAssist.ASSIST_TABLE,
		// assist.getType());
		IDBResource[] proposals = assist.proposalDBResources();
		for (IDBResource proposal : proposals) {
			System.out.println(proposal);
		}
		// assertTrue("候補があるべき", proposals.length > 0);
	}

}